# Java
*.class
*.ear
*.nar
*.war
.mtj.tmp/
hs_err_pid*
replay_pid*

# Maven
.mvn/timing.properties
.mvn/wrapper/maven-wrapper.jar
dependency-reduced-pom.xml
pom.xml.bak
pom.xml.next
pom.xml.releaseBackup
pom.xml.tag
pom.xml.versionsBackup
release.properties
buildNumber.properties

# IntelliJ IDEA
.idea/
.idea_modules/
*.iml
*.ipr
*.iws
out/

# Eclipse
.classpath
.factorypath
.loadpath
.metadata
.project
.settings/
*.bak
*.swp
*.tmp
*~.nib
bin/
local.properties
tmp/

# Visual Studio Code
.code-workspace
.vscode/

# macOS
.DS_Store

# Miscellaneous
*.log